Package com.smartgwt.client.bean.types

# Class BooleanValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<Boolean>
com.smartgwt.client.bean.types.BooleanValueType

Direct Known Subclasses:
  `PBooleanValueType`

public class BooleanValueType extends BeanValueType<Boolean>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `Boolean`
  `convertFrom(Object value)`
  `protected Class`
  `getValueType()`
  `protected boolean`
  `isAssignableFrom(Object value)`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BooleanValueType

    public BooleanValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType<Boolean>`

  - ### isAssignableFrom

    protected boolean isAssignableFrom(Object value)
    Specified by:
      `isAssignableFrom` in class `BeanValueType<Boolean>`

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `BeanValueType<Boolean>`

  - ### convertFrom

    public Boolean convertFrom(Object value)
    Overrides:
      `convertFrom` in class `BeanValueType<Boolean>`